'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _CustomerReviewListItem = require('../CustomerReviewListItem');

var _CustomerReviewListItem2 = _interopRequireDefault(_CustomerReviewListItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var CustomerReviewList = function CustomerReviewList(_ref) {
  var data = _ref.data,
      itemClassName = _ref.itemClassName,
      className = _ref.className;
  return _react2.default.createElement(
    'div',
    { 'data-component': 'CustomerReviewList', className: className },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.name, className: itemClassName },
        _react2.default.createElement(_CustomerReviewListItem2.default, {
          className: itemClassName,
          key: item.name,
          item: item
        })
      );
    })
  );
};

CustomerReviewList.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('CustomerReviewList', {}, { composeTheme: 'softly' })(CustomerReviewList);