'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _HorizontalItem = require('../HorizontalItem');

var _HorizontalItem2 = _interopRequireDefault(_HorizontalItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HorizontalList = function HorizontalList(_ref) {
  var data = _ref.data,
      childrenTheme = _ref.childrenTheme,
      itemClassName = _ref.itemClassName,
      className = _ref.className,
      Link = _ref.Link;
  return _react2.default.createElement(
    'div',
    { className: className },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.title, className: itemClassName },
        _react2.default.createElement(_HorizontalItem2.default, {
          item: item,
          theme: childrenTheme,
          Link: Link
        })
      );
    })
  );
};

HorizontalList.defaultProps = {
  className: null
};

exports.default = HorizontalList;